Subject: I-D Action: draft-mishra-bess-ipv4nlri-ipv6nh-use-cases-08.txt

From: [email-masked]
Date: Mon, 22 Feb 2021 15:14:41 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : IPv4 NLRI with IPv6 Next Hop Use Cases
        Authors         : Gyan Mishra
                          Mankamana Mishra
                          Jeff Tantsura
                          Lili Wang
                          Qing Yang
                          Adam Simpson
                          Shuanglong Chen
	Filename        : draft-mishra-bess-ipv4nlri-ipv6nh-use-cases-08.txt
	Pages           : 13
	Date            : 2021-02-22

Abstract:
   As Enterprises and Service Providers upgrade their brown field or
   green field MPLS/SR core to an IPv6 transport such as MPLS LDPv6, SR-
   MPLSv6 or SRv6, Multiprotocol BGP (MP-BGP)now plays an important role
   in the transition of the core from IPv4 to IPv6 being able to
   continue to support legacy IPv4, VPN-IPv4, and Multicast VPN IPv4
   customers.

   This document describes the critical use case and OPEX savings of
   being able to leverage the MP-BGP capability exchange usage as a pure
   transport allowing both IPv4 and IPv6 to be carried over the same BGP
   TCP session.  By doing so, allows for the elimination of Dual
   Stacking on the PE-CE connections making the peering IPv6-ONLY to now
   carry both IPv4 and IPv6 Network Layer Reachability Information
   (NLRI).  This document now provides a solution for IXPs (Internet
   Exchange points) that are facing IPv4 address depletion at these
   peering points to use BGP-MP capability exchange defined in [RFC5549]
   to carry IPv4 (Network Layer Reachability Information) NLRI in an
   IPv6 next hop using the [RFC5565] softwire mesh framework.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-mishra-bess-ipv4nlri-ipv6nh-use-cases/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-mishra-bess-ipv4nlri-ipv6nh-use-cases-08
https://datatracker.ietf.org/doc/html/draft-mishra-bess-ipv4nlri-ipv6nh-use-cases-08

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-mishra-bess-ipv4nlri-ipv6nh-use-cases-08

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/